## atanks 1.1.0

=== Makefile ===
VERSION=1.1.0
export VERSION
FILENAME=atanks-${VERSION}

DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt  atanks/gloat.txt  atanks/instr.txt  atanks/revenge.txt

all:
	$(MAKE) -C src

clean:
	rm -f atanks
	$(MAKE) -C src clean

dist: source-dist i686-dist win32-dist

source-dist:
	cd ../; \
	rm -f ${FILENAME}.tar.gz; \
	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/Makefile atanks/readme.linux atanks/tanks.txt ${DISTCOMMON}; \
	gzip ${FILENAME}.tar

i686-dist:
	cd ../; \
	rm -f ${FILENAME}-i686-dist.tar; \
	rm -f ${FILENAME}-i686-dist.tar.gz; \
	strip atanks/atanks; \
	tar cvf ${FILENAME}-i686-dist.tar atanks/atanks ${DISTCOMMON}; \
	gzip ${FILENAME}-i686-dist.tar;

win32-dist:
	cd ../; \
	rm -f ${FILENAME}-win32-dist.zip; \
	zip ${FILENAME}-win32-dist.zip atanks/Atanks.exe atanks/alleg40.dll ${DISTCOMMON};
