## atanks 2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.1.0
+VERSION=2.0
 export VERSION
 FILENAME=atanks-${VERSION}
 
@@ -16,7 +16,7 @@
 source-dist:
 	cd ../; \
 	rm -f ${FILENAME}.tar.gz; \
-	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/Makefile atanks/readme.linux atanks/tanks.txt ${DISTCOMMON}; \
+	tar cvf ${FILENAME}.tar atanks/src/*.cc atanks/src/*.h atanks/src/Makefile atanks/src/Makefile.windows atanks/Makefile ${DISTCOMMON}; \
 	gzip ${FILENAME}.tar
 
 i686-dist:
