=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"${VERSION}\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DVERSION=\"2.0\" -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =
