## atanks 2.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=2.0
+VERSION=2.3
 export VERSION
 FILENAME=atanks-${VERSION}
