=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"2.0\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DVERSION=\"2.3\" -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =
