## atanks 2.6

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
-VERSION=2.3
+VERSION=2.5
 export VERSION
 FILENAME=atanks-${VERSION}
-
-DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt  atanks/gloat.txt  atanks/instr.txt  atanks/revenge.txt
+INSTALL=/usr/bin/install -c
+DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt gloat.pt_BR.txt Help.pt_BR.txt revenge.pt_BR.txt suicide.pt_BR.txt
+INCOMMON=*.dat COPYING README TODO Changelog *.txt
 
 all:
 	$(MAKE) -C src
 
+install: all
+	$(INSTALL) -g 0 -m 755 -o 0 atanks /usr/bin
+	mkdir -p /usr/share/games/atanks
+	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) /usr/share/games/atanks
 clean:
 	rm -f atanks
 	$(MAKE) -C src clean
