=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o 
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o 
 
 CC  = g++
-FLAGS = -DLINUX -DVERSION=\"2.3\" -DDATA_DIR=\".\"
+FLAGS = -DLINUX -DDATA_DIR=\".\"
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS = 
@@ -15,7 +15,7 @@
 CFLAGS += -g	# debug vs optimize flags
 
 SRCS  = $(MODULES:.o=.cc)
-GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h
+GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h button.h files.h
 
 all: $(OUTPUT)
 
@@ -31,10 +31,16 @@
 atanks.o: atanks.cc menu.h menucontent.h $(GLOBALS)
 	$(CC) -c atanks.cc -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+button.o: button.cc $(GLOBALS)
+	$(CC) -c button.cc -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 environment.o: environment.cc environment.h virtobj.h missile.h tank.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 explosion.o: explosion.cc explosion.h environment.h player.h virtobj.h missile.h tank.h $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
+files.o: files.cc files.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 floattext.o: floattext.cc floattext.h $(GLOBALS)
@@ -58,6 +64,9 @@
 tank.o: tank.cc tank.h environment.h floattext.h explosion.h player.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+team.o: team.cc team.h environment.h $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 virtobj.o: virtobj.cc virtobj.h environment.h $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
@@ -74,5 +83,5 @@
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
 $(OUTPUT): $(OBJECTS) $(MODULES)
-	$(CC) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFALGS) $(LDFLAGS) $(SFLAGS)
+	$(CC) $(MODULES) -o $(OUTPUT) $(FLAGS) $(LFLAGS) $(LDFLAGS) $(SFLAGS)
 	#strip $(OUTPUT)
