## atanks 3.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-VERSION=2.5
+VERSION=2.8
 export VERSION
 FILENAME=atanks-${VERSION}
 INSTALL=/usr/bin/install -c
-DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt gloat.pt_BR.txt Help.pt_BR.txt revenge.pt_BR.txt suicide.pt_BR.txt
+DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/Help.txt atanks/credits.txt atanks/gloat.txt atanks/instr.txt atanks/revenge.txt atanks/suicide.txt atanks/gloat.pt_BR.txt atanks/Help.pt_BR.txt atanks/revenge.pt_BR.txt atanks/suicide.pt_BR.txt atanks/revenge_fr.txt atanks/gloat_fr.txt atanks/suicide_fr.txt atanks/weapons.txt
 INCOMMON=*.dat COPYING README TODO Changelog *.txt
 
 all:
