=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all clean veryclean
 
 MODULES = \
-	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o 
+	globaldata.o environment.o player.o virtobj.o floattext.o teleport.o physobj.o decor.o explosion.o missile.o beam.o tank.o atanks.o fade.o perlin.o sky.o button.o files.o team.o satellite.o
 
 CC  = g++
 FLAGS = -DLINUX -DDATA_DIR=\".\"
@@ -15,7 +15,7 @@
 CFLAGS += -g	# debug vs optimize flags
 
 SRCS  = $(MODULES:.o=.cc)
-GLOBALS	= main.h globals.h externs.h globaldata.h weapons.h imagedefs.h lineseq.h button.h files.h
+GLOBALS	= main.h globals.h externs.h globaldata.h imagedefs.h lineseq.h button.h files.h
 
 all: $(OUTPUT)
 
@@ -79,6 +79,9 @@
 sky.o: sky.cc $(GLOBALS)
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
 
+satellite.o: satellite.cc $(GLOBALS)
+	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
+
 %.o: %.cc %.h
 	$(CC) -c $< -o $@ $(FLAGS) $(LFLAGS) $(OFLAGS) $(CFLAGS)
