## atanks 3.6

=== Makefile ===
VERSION=3.6
PREFIX = /usr/

BINPREFIX = $(PREFIX)

BINDIR = ${BINPREFIX}bin/
INSTALLDIR = ${PREFIX}share/games/atanks

export VERSION
export PREFIX
export INSTALLDIR

FILENAME=atanks-${VERSION}
INSTALL=$(PREFIX)bin/install -c
DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/*.txt
INCOMMON=*.dat COPYING README TODO Changelog *.txt

all:
	FLAGS=-DLINUX $(MAKE) -C src

install: all
	mkdir -p ${BINDIR}
	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
	mkdir -p ${INSTALLDIR}
	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}

user:
	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src

winuser:
	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src

osxuser:
	INSTALLDIR=./ FLAGS="-DLINUX -DMACOSX" $(MAKE) -C src

clean:
	rm -f atanks
	$(MAKE) -C src clean

dist: source-dist i686-dist win32-dist

source-dist:
	cd ../; \
	rm -f ${FILENAME}.tar.gz; \
	tar cvf ${FILENAME}.tar atanks/src/*.cpp atanks/src/*.h atanks/src/Makefile atanks/src/Makefile.windows atanks/Makefile ${DISTCOMMON}; \
	gzip ${FILENAME}.tar

i686-dist:
	cd ../; \
	rm -f ${FILENAME}-i686-dist.tar; \
	rm -f ${FILENAME}-i686-dist.tar.gz; \
	strip atanks/atanks; \
	tar cvf ${FILENAME}-i686-dist.tar atanks/atanks ${DISTCOMMON}; \
	gzip ${FILENAME}-i686-dist.tar;

win32-dist:
	cd ../; \
	rm -f ${FILENAME}-win32-dist.zip; \
	zip ${FILENAME}-win32-dist.zip atanks/Atanks.exe atanks/alleg40.dll ${DISTCOMMON};
