## atanks 4.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.6
+VERSION=4.6
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)
@@ -13,28 +13,49 @@
 FILENAME=atanks-${VERSION}
 INSTALL=$(PREFIX)bin/install -c
 DISTCOMMON=atanks/*.dat atanks/COPYING atanks/README atanks/TODO atanks/Changelog atanks/BUGS atanks/*.txt
-INCOMMON=*.dat COPYING README TODO Changelog *.txt
+INCOMMON=COPYING README TODO Changelog *.txt unicode.dat
 
 all:
 	FLAGS=-DLINUX $(MAKE) -C src
 
-install: all
+install: 
 	mkdir -p ${BINDIR}
 	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
 	mkdir -p ${INSTALLDIR}
+	mkdir -p ${INSTALLDIR}/button
+	mkdir -p ${INSTALLDIR}/misc
+	mkdir -p ${INSTALLDIR}/missile
+	mkdir -p ${INSTALLDIR}/sound
+	mkdir -p ${INSTALLDIR}/stock
+	mkdir -p ${INSTALLDIR}/tank
+	mkdir -p ${INSTALLDIR}/tankgun
+	mkdir -p ${INSTALLDIR}/title
+	mkdir -p ${INSTALLDIR}/text
 	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}
+	$(INSTALL) -g 0 -m 644 -o 0 button/* ${INSTALLDIR}/button
+	$(INSTALL) -g 0 -m 644 -o 0 misc/* ${INSTALLDIR}/misc
+	$(INSTALL) -g 0 -m 644 -o 0 missile/* ${INSTALLDIR}/missile
+	$(INSTALL) -g 0 -m 644 -o 0 sound/* ${INSTALLDIR}/sound
+	$(INSTALL) -g 0 -m 644 -o 0 stock/* ${INSTALLDIR}/stock
+	$(INSTALL) -g 0 -m 644 -o 0 tank/* ${INSTALLDIR}/tank
+	$(INSTALL) -g 0 -m 644 -o 0 tankgun/* ${INSTALLDIR}/tankgun
+	$(INSTALL) -g 0 -m 644 -o 0 title/* ${INSTALLDIR}/title
+	$(INSTALL) -g 0 -m 644 -o 0 text/* ${INSTALLDIR}/text
 
 user:
 	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src
 
 winuser:
-	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src
+	INSTALLDIR=./ FLAGS=-DWIN32 $(MAKE) -C src -f Makefile.windows
 
 osxuser:
-	INSTALLDIR=./ FLAGS="-DLINUX -DMACOSX" $(MAKE) -C src
+	INSTALLDIR=./ FLAGS="-DMACOSX" $(MAKE) -C src -f Makefile.bsd
+
+ubuntu:
+	FLAGS="-DLINUX -DUBUNTU" $(MAKE) -C src
 
 clean:
-	rm -f atanks
+	rm -f atanks atanks.exe
 	$(MAKE) -C src clean
 
 dist: source-dist i686-dist win32-dist
