## atanks 4.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=4.6
+VERSION=4.7
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)
