## atanks 5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=4.7
+VERSION=5.0
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)
