=== debian/changelog ===
atanks (5.0-1) unstable; urgency=low

  * New upstream release
  * Ilya patch fixed "ftbfs with gold or --no-add-needed" (Closes: #615693)

 -- Mark Purcell <msp@debian.org>  Tue, 14 Jun 2011 18:51:53 +1000

atanks (4.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 23 May 2011 20:54:30 +1000

atanks (4.6-1ubuntu2) natty; urgency=low

  * New patch 20_link_with_pthread.patch: add -lpthread to link flags to 
    fix FTBFS.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 01 Jan 2011 22:14:12 +0300

atanks (4.7-1) experimental; urgency=low

  * New upstream release
  * source/format -> 3.0 (quilt)
    - Drop simple-patchsys.mk
  * Drop extra-license-file usr/share/games/atanks/COPYING

 -- Mark Purcell <msp@debian.org>  Mon, 27 Sep 2010 08:12:38 +1000

atanks (4.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 16:36:00 +1000

atanks (4.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 15 Apr 2010 08:08:49 +1000

atanks (4.4-2) unstable; urgency=low

  * Duplicate install for atanks & atanks-data - fixes FTBFS (Closes: #576686)

 -- Mark Purcell <msp@debian.org>  Thu, 08 Apr 2010 16:32:09 +1000

atanks (4.4-1) unstable; urgency=low

  * New upstream release 
    - Fixes "Cannot create user and play" (Closes: #551420)

 -- Mark Purcell <msp@debian.org>  Mon, 05 Apr 2010 19:45:35 +1000

atanks (3.6-1) unstable; urgency=low

  * New upstream release
  * Upstream depreciated Makefile.debian
  * debian/compat -> 7
  * Fix binary-control-field-duplicates-source
  * Update out-of-date-standards-version

 -- Mark Purcell <msp@debian.org>  Fri, 05 Jun 2009 16:59:42 +1000

atanks (3.2-2) unstable; urgency=low

  * Upload to unstable
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Wed, 25 Feb 2009 05:51:44 +1100

atanks (3.2-1) experimental; urgency=low

  * New upstream release
  * Add Homepage: Vcs: headers - update to standards 3.8.0

 -- Mark Purcell <msp@debian.org>  Sat, 08 Nov 2008 10:06:36 +1100

atanks (3.0-1) unstable; urgency=low

  * New upstream release
  * Fixed upstream:
    - Does not have a GNOME (Freedesktop) Menu entry; this fixes that
    (Closes: #478857)
    - freezes when no players are chosen for game and player clicks 'ok'
    (Closes: #484900)
  * Include upstream selectPlayers-fix.patch

 -- Mark Purcell <msp@debian.org>  Mon, 30 Jun 2008 21:43:09 +1000

atanks (2.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 03 Apr 2008 22:01:13 +1100

atanks (2.8-1) unstable; urgency=low

  * New upstream release
    - New upstream version 2.7 (Closes: #458947)
    - Opponent tanks sometimes get virtually unlimited credits.
    (Closes: #452058)
    - Menu slow down (Closes: #452878)
  * Add .desktop file
    - atanks has no .desktop file (Closes: #452573)
  * Switch to CDBS

 -- Mark Purcell <msp@debian.org>  Fri, 22 Feb 2008 09:37:34 +0100

atanks (2.6-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Nov 2007 15:42:25 +0000

atanks (2.5-1) unstable; urgency=low

  * New upstream release
  * Move to section Games/Action
    - lintian menu-item-creates-new-section
  * debian/rules: [ ! -f Makefile ] || $(MAKE) dist
    - lintian debian-rules-ignores-make-clean-error

 -- Mark Purcell <msp@debian.org>  Sat, 18 Aug 2007 11:53:55 +0100

atanks (2.4-2) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Mark Purcell <msp@debian.org>  Wed, 18 Jul 2007 18:17:40 +0100

atanks (2.4-1) unstable; urgency=low

  * New upstream release
    - Large CPU demand while idle (Closes: #422425)

 -- Mark Purcell <msp@debian.org>  Wed, 18 Jul 2007 17:28:47 +0100

atanks (2.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 17 Apr 2007 18:06:05 +1000

atanks (2.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 16 Mar 2007 06:26:41 +0000

atanks (2.1-1) unstable; urgency=low

  * New upstream release
  * Fixes the following:
    - Unneeded limitation in player name size (Closes: #294625)
    - projectiles sometimes get stuck off the top of the screen (Closes:
    #394368)
    - Text color should be adapted to background (Closes: #331551)
    - Does not respond to window manager close action (Closes: #407765)
    - projectiles sometimes get stuck off the top of the screen (Closes:
    #394382)

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 12:51:00 +0000

atanks (2.0-1) unstable; urgency=low

  * New upstream release
    - Game crashes all the time (Closes: #324878)
    - atanks bug fix: Ambiguous calls of abs(double) #318527 (Closes:
    #376642)
  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Sun, 21 Jan 2007 19:25:12 +0000

atanks (1.1.0-6) unstable; urgency=low

  * New Maintainer. (Closes: Bug#362084)
    - Thanks to Graham Wilson for maintenance todate
  * Lintian cleanup: not-binnmuable-any-depends-all
  * Prep for upload to svn.debian.org/pkg-allegro
    - Convert/ Build-Depends: dpatch
    - Update debian/watch

 -- Mark Purcell <msp@debian.org>  Tue, 12 Sep 2006 08:40:55 +0100

atanks (1.1.0-5) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#362084); set maintainer to Debian QA Group.
  * Link against liballegro4.2.  Closes: #350857.
  * debian/copyright: Update FSF address.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Thu,  3 Aug 2006 06:35:39 +0200

atanks (1.1.0-4) unstable; urgency=low

  * Include copyright information in copyright file. (closes: #290061)
  * Remove the watch file, since it currently is broken. It'd be 
    appreciated if someone can send me a working one.
  * Use int where the code was using char as a boolean value.
    - cuts down on the number of compiler warnings
    - no need to compile with -fsigned-char
  * Use fabs where abs was ambiguous. (closes: #318527)

