=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk

build/atanks::
	$(MAKE) 

install/atanks::
	$(MAKE) install BINDIR=debian/tmp/usr/games/ INSTALLDIR=debian/tmp/usr/share/games/atanks/ 

install/atanks-data::
	$(MAKE) install BINDIR=debian/tmp/usr/games/ INSTALLDIR=debian/tmp/usr/share/games/atanks/ 
	rm -fR debian/tmp/usr/share/games/atanks/COPYING

clean::
	rm -fR atanks src/*.o
