## atanks 5.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.0
+VERSION=5.1
 PREFIX = /usr/
 
 BINPREFIX = $(PREFIX)
