=== debian/changelog ===
atanks (5.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Sep 2011 20:06:49 +1000
