## atanks 5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION=5.1
-PREFIX = /usr/
-
+VERSION=5.2
+PREFIX ?= /usr/
+DESTDIR ?= 
 BINPREFIX = $(PREFIX)
 
 BINDIR = ${BINPREFIX}bin/
@@ -19,28 +19,32 @@
 	FLAGS=-DLINUX $(MAKE) -C src
 
 install: 
-	mkdir -p ${BINDIR}
-	$(INSTALL) -g 0 -m 755 -o 0 atanks ${BINDIR}
-	mkdir -p ${INSTALLDIR}
-	mkdir -p ${INSTALLDIR}/button
-	mkdir -p ${INSTALLDIR}/misc
-	mkdir -p ${INSTALLDIR}/missile
-	mkdir -p ${INSTALLDIR}/sound
-	mkdir -p ${INSTALLDIR}/stock
-	mkdir -p ${INSTALLDIR}/tank
-	mkdir -p ${INSTALLDIR}/tankgun
-	mkdir -p ${INSTALLDIR}/title
-	mkdir -p ${INSTALLDIR}/text
-	$(INSTALL) -g 0 -m 644 -o 0 $(INCOMMON) ${INSTALLDIR}
-	$(INSTALL) -g 0 -m 644 -o 0 button/* ${INSTALLDIR}/button
-	$(INSTALL) -g 0 -m 644 -o 0 misc/* ${INSTALLDIR}/misc
-	$(INSTALL) -g 0 -m 644 -o 0 missile/* ${INSTALLDIR}/missile
-	$(INSTALL) -g 0 -m 644 -o 0 sound/* ${INSTALLDIR}/sound
-	$(INSTALL) -g 0 -m 644 -o 0 stock/* ${INSTALLDIR}/stock
-	$(INSTALL) -g 0 -m 644 -o 0 tank/* ${INSTALLDIR}/tank
-	$(INSTALL) -g 0 -m 644 -o 0 tankgun/* ${INSTALLDIR}/tankgun
-	$(INSTALL) -g 0 -m 644 -o 0 title/* ${INSTALLDIR}/title
-	$(INSTALL) -g 0 -m 644 -o 0 text/* ${INSTALLDIR}/text
+	mkdir -p $(DESTDIR)${BINDIR}
+	$(INSTALL) -m 755 atanks $(DESTDIR)${BINDIR}
+	mkdir -p $(DESTDIR)/usr/share/applications
+	$(INSTALL) -m 644 atanks.desktop $(DESTDIR)/usr/share/applications
+	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+	$(INSTALL) -m 644 atanks.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
+	mkdir -p $(DESTDIR)${INSTALLDIR}
+	mkdir -p $(DESTDIR)${INSTALLDIR}/button
+	mkdir -p $(DESTDIR)${INSTALLDIR}/misc
+	mkdir -p $(DESTDIR)${INSTALLDIR}/missile
+	mkdir -p $(DESTDIR)${INSTALLDIR}/sound
+	mkdir -p $(DESTDIR)${INSTALLDIR}/stock
+	mkdir -p $(DESTDIR)${INSTALLDIR}/tank
+	mkdir -p $(DESTDIR)${INSTALLDIR}/tankgun
+	mkdir -p $(DESTDIR)${INSTALLDIR}/title
+	mkdir -p $(DESTDIR)${INSTALLDIR}/text
+	$(INSTALL) -m 644 $(INCOMMON) $(DESTDIR)${INSTALLDIR}
+	$(INSTALL) -m 644 button/* $(DESTDIR)${INSTALLDIR}/button
+	$(INSTALL) -m 644 misc/* $(DESTDIR)${INSTALLDIR}/misc
+	$(INSTALL) -m 644 missile/* $(DESTDIR)${INSTALLDIR}/missile
+	$(INSTALL) -m 644 sound/* $(DESTDIR)${INSTALLDIR}/sound
+	$(INSTALL) -m 644 stock/* $(DESTDIR)${INSTALLDIR}/stock
+	$(INSTALL) -m 644 tank/* $(DESTDIR)${INSTALLDIR}/tank
+	$(INSTALL) -m 644 tankgun/* $(DESTDIR)${INSTALLDIR}/tankgun
+	$(INSTALL) -m 644 title/* $(DESTDIR)${INSTALLDIR}/title
+	$(INSTALL) -m 644 text/* $(DESTDIR)${INSTALLDIR}/text
 
 user:
 	INSTALLDIR=./ FLAGS=-DLINUX $(MAKE) -C src
