=== src/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS 
+FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =
