=== debian/changelog ===
atanks (5.2-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright copyright-refers-to-symlink-license 
  * Switch to dh

 -- Mark Purcell <msp@debian.org>  Fri, 07 Oct 2011 19:13:16 +1100
