## atanks 5.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.2
+VERSION=5.3
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)
