=== src/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 LFLAGS +=
 LDFLAGS =  `allegro-config --libs`
 
-CFLAGS += -g -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
+CFLAGS += -Wall -Iinclude # -fprofile-arcs -ftest-coverage 
 
 SRCS  = $(MODULES:.o=.cpp)
 GLOBALS	= main.h imagedefs.h externs.h
