=== debian/changelog ===
atanks (5.3-1) unstable; urgency=low

  * New upstream release
  * Drop 20_link_with_pthread.patch - encorporated upstream

 -- Mark Purcell <msp@debian.org>  Thu, 23 Feb 2012 20:47:06 +1100
