=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, liballegro4.2-dev | liballegro-dev
+Build-Depends: debhelper (>= 7.0.50~), liballegro-dev | liballegro4.2-dev
 Homepage: http://atanks.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-allegro/atanks/?op=log
