## atanks 5.5

=== debian/changelog ===
atanks (5.5-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 20 Jun 2012 22:37:50 +1000

atanks (5.4-1) unstable; urgency=low

  * New upstream release 
  * Switch to Maintainer: Debian Games Team 
    <pkg-games-devel@lists.alioth.debian.org>

 -- Mark Purcell <msp@debian.org>  Sat, 14 Apr 2012 14:36:09 +1000
