## atanks 5.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.3
+VERSION=5.5
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)
