=== debian/changelog ===
atanks (5.5+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove binary files from source tarball (closes: #691223).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 25 Oct 2012 13:38:02 -0400
