=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atanks
 Section: games
 Priority: optional
-Maintainer: Mark Purcell <msp@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), liballegro-dev | liballegro4.2-dev
 Homepage: http://atanks.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-allegro/atanks/trunk/
