=== debian/watch ===
version=3
http://sf.net/atanks/atanks-(.*)\.tar\.(?:gz|bz2) debian svn-upgrade
