## atanks 5.7~dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.5
+VERSION=5.7
 PREFIX ?= /usr/
 DESTDIR ?= 
 BINPREFIX = $(PREFIX)
@@ -64,6 +64,12 @@
 
 dist: source-dist i686-dist win32-dist
 
+tarball: clean
+	cd .. && tar czf atanks-$(VERSION).tar.gz atanks-$(VERSION)
+
+zipfile: clean
+	cd .. && zip -r atanks-$(VERSION)-source.zip atanks-$(VERSION)
+
 source-dist:
 	cd ../; \
 	rm -f ${FILENAME}.tar.gz; \
