=== src/Makefile ===
--- 
+++ 
@@ -4,10 +4,11 @@
           missile.o perlin.o physobj.o player.o satellite.o sky.o tank.o team.o teleport.o virtobj.o \
           update.o network.o floattext.o land.o text.o client.o gameloop.o
 
+CXX?=clang++
 LIB=ar
 WINDRES=
 # FLAGS += -DDATA_DIR=\".\" -Wno-write-strings -DNETWORK -DTHREADS
-FLAGS += -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread
+FLAGS += -O2 -DDATA_DIR=\"${INSTALLDIR}\" -DNEW_GAMELOOP -Wno-write-strings -DNETWORK -DTHREADS -pthread 
 OUTPUT = ../atanks
 WFLAGS = 
 OFLAGS =
