=== debian/changelog ===
atanks (5.7~dfsg-2ubuntu1) saucy; urgency=low

  * Build-depend on liballegro4-dev instead of virtual liballegro4.2-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 13:42:17 -0600

atanks (5.7~dfsg-2) unstable; urgency=low

  * Upload to unstable 
  * Update debian/copyright - fix unversioned-copyright-format-uri
  * Update Vcs: - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.3 - no further changes

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 19:53:04 +1000

atanks (5.7~dfsg-1) experimental; urgency=low

  * New upstream release
    - Fixes "Game crashes when changing options" (Closes: #691107)
  * Ack NMU - Thanks Michael
  * Add get-orig-source target (~dfsg)
  * Include atanks.desktop in atanks - fixes desktop-command-not-in-package

 -- Mark Purcell <msp@debian.org>  Mon, 29 Oct 2012 22:15:39 +1100

atanks (5.6-1) experimental; urgency=low

  * New upstream release
  * NEW atanks-dbg package
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Mon, 22 Oct 2012 19:22:22 +1100
