=== debian/changelog ===
atanks (5.8~dfsg-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 01 Feb 2014 16:25:15 +1100
